# Yaf_View_Interface::assign

(Yaf >=1.0.0)

Yaf_View_Interface::assign — Assigne une valeur au moteur de rendu

### Description

abstract public Yaf_View_Interface::assign(string `$name`, string `$value` = ?): bool

Assigne une valeur au moteur de rendu, la rendant ainsi disponible directement par son nom au sein du template.

Avertissement

Cette fonction est actuellement non documentée ; seule la liste des arguments est disponible.

### Liste de paramètres

`name`

`value`

### Valeurs de retour